optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.VectorPatternUnit Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.VectorPatternUnit:

## Public Member Functions
| __init__ (self, int channel=0, board=None, sys_id_base=0x68)
| SetUnit (self, UnitType or int value)
| Sets the unit type of the values set to the vector pattern system.
UnitType | GetUnit (self)
| Gets the unit type of the values set to the vector pattern system.
| Run (self)
| Starts vector pattern system.
| Stop (self)
| Stops vector pattern system.
| GetRunningStatus (self)
| Gets the running status of vector pattern system.
| SetStart (self, value)
| Sets the index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)
| GetStart (self)
| Gets the index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)
| SetEnd (self, value)
| Sets the Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)
| GetEnd (self)
| Gets the Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)
| SetFreqSampleSpeed (self, value)
| Sets the sample rate at which the Vector Pattern unit samples the vector in the Vector Pattern Memory.
| GetFreqSampleSpeed (self)
| Gets the sample rate at which the Vector Pattern unit samples the vector in the Vector Pattern Memory.
| GetMinFreqSampleSpeed (self)
| Gets the minimum supported sample rate.
| GetMaxFreqSampleSpeed (self)
| Gets the maximum supported sample rate.
| SetCycles (self, value)
| Sets the number of cycles to be generated.
| GetCycles (self)
| Gets the number of cycles to be generated.
| SetExternalTrigger (self, value)
| Sets external trigger mode.
| GetOutput (self)
| Get output of the vector pattern unit.
| SetStart2 (self, value)
| Sets the index of first desired point in Vector Pattern Memory (start of second part of transition triggered by falling edge of external signal)
| GetStart2 (self)
| Gets the index of first desired point in Vector Pattern Memory (start of second part of transition triggered by falling edge of external signal)
| SetEnd2 (self, value)
| Sets the index after last desired point in Vector Pattern Memory (end of second part of transition triggered by falling edge of external signal)
| GetEnd2 (self)
| Gets the index after last desired point in Vector Pattern Memory (end of second part of transition triggered by falling edge of external signal)
| SetExtTriggerGPIO (self, value)
| Turns GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin.
| GetExtTriggerGPIO (self)
| Gets the state of the GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin.
| GetIndex (self)
| Gets actual index.
| SetTriggerDivider (self, value)
| Sets the divider for external trigger signal (downsampling) 1 = no division; 2 = divide by 2 ...
| GetTriggerDivider (self)
| Gets the divider value for external trigger signal (downsampling) 1 = no division; 2 = divide by 2 ...
| SetTriggerOffset (self, value)
| Sets the offset of external trigger signal for synchronisation adjustment Offset can be in range 0 - (divider - 1) => important to set divider value first.
| GetTriggerOffset (self)
| Gets the offset of external trigger signal for synchronisation adjustment Offset can be in range 0 - (divider - 1)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| unit
| run
| start
| end
| frequency_speed
| min_speed
| max_speed
| cycles
| external_trigger
| output
| start2
| end2
| ext_trigger_gpio
| index
| trigger_divider
| trigger_offset
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _channel
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - Vector Pattern Unit
    System ID: 0x68 through 0x6f

    * Vector Pattern Unit system base ID: \b 0x68
    *
    * The Vector Pattern Unit system is an input stage system that can used to propagate
    * arbitrary vector values set by the user as input to the \ref signalflow.
    * The values must be saved in the \ref VectorPatternMemory  "Vector Pattern Memory".
    * The Vector Pattern system has to be activated through the \ref SignalFlowManager.
    * Unit type has to match to the configured control mode.
    *
    * ### Register Map:
    *
    * | Address    | Name                   | Default Value    | Description                                                                                                               | Type                  | Access
    * | -----------|------------------------|------------------|---------------------------------------------------------------------------------------------------------------------------|-----------------------| ----------
    * | 0x6[8-F]00 | Unit type              | 0                |                                                                                                                           | \ref ChannelValueType | read write
    * | 0x6[8-F]01 | Run                    | false            | Turn Vector Pattern Unit on/off                                                                                           | boolean               | read write
    * | 0x6[8-F]02 | Start                  | 0                | Index of first desired point in \ref VectorPatternMemory "Vector Pattern Memory" <br/> (start of transition triggered by rising edge of external signal if External trigger configured) | uint32                | read write
    * | 0x6[8-F]03 | End                    | 0                | Index after last desired point in \ref VectorPatternMemory  "Vector Pattern Memory"  <br/> (end of transition triggered by rising edge of external signal if External trigger configured) | uint32                | read write
    * | 0x6[8-F]04 | Sample rate            | 20000            | Sample rate at which the Vector Pattern unit samples the vector in the \ref VectorPatternMemory  "Vector Pattern Memory"  | float                 | read write
    * | 0x6[8-F]05 | Minimum sampling  rate | \f$ \frac{20000}{2^{32}-1} \f$ | In Hz                                                                                                    | float                 | read only
    * | 0x6[8-F]06 | Maximum sampling rate  | 20000            | In Hz                                                                                                                     | float                 | read only
    * | 0x6[8-F]07 | Cycles                 | -1               | Number of cycles to be generated. Run flag is turned off after completion. Negative value corresponds to infinite looping | int32                 | read write
    * | 0x6[8-F]08 | External trigger       | 0                | Vector Pattern Unit can be synchronised with external signal (0=disabled, 1=rising/falling edge, 2=rising edge trigger)   | uint32                | read write
    * | 0x6[8-F]09 | Output                 | N/A     F         | Output of the vector pattern unit                                                                                         | float                 | read only
    * | 0x6[8-F]0A | Start2                 | 0                | Index of first desired point in \ref VectorPatternMemory "Vector Pattern Memory" <br/> (start of second part of transition triggered by falling edge of external signal) | uint32                | read write
    * | 0x6[8-F]0B | End2                   | 0                | Index after last desired point in \ref VectorPatternMemory "Vector Pattern Memory" <br/> (end of second part of transition triggered by falling edge of external signal) | uint32                | read write
    * | 0x6[8-F]0C | External trigger GPIOx | false            | Turns GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin  | boolean               | read write
    *

    registers table 1:

    +---------------+-------+
    | Waveform Unit | Value |
    +===============+=======+
    | Current       | 0     |
    +---------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.VectorPatternUnit.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None,
|  |  | sys_id_base = 0x68 )

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetCycles()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetCycles | ( |  | self | ) |

Gets the number of cycles to be generated.

Run flag is turned off after completion. Negative value corresponds to infinite looping

## ◆ GetEnd()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetEnd | ( |  | self | ) |

Gets the Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)

## ◆ GetEnd2()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetEnd2 | ( |  | self | ) |

Gets the index after last desired point in Vector Pattern Memory (end of second part of transition triggered by falling edge of external signal)

## ◆ GetExtTriggerGPIO()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetExtTriggerGPIO | ( |  | self | ) |

Gets the state of the GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin.

0 = off, 1 = on

## ◆ GetFreqSampleSpeed()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetFreqSampleSpeed | ( |  | self | ) |

Gets the sample rate at which the Vector Pattern unit samples the vector in the Vector Pattern Memory.

## ◆ GetIndex()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetIndex | ( |  | self | ) |

Gets actual index.

## ◆ GetMaxFreqSampleSpeed()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetMaxFreqSampleSpeed | ( |  | self | ) |

Gets the maximum supported sample rate.

## ◆ GetMinFreqSampleSpeed()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetMinFreqSampleSpeed | ( |  | self | ) |

Gets the minimum supported sample rate.

## ◆ GetOutput()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetOutput | ( |  | self | ) |

Get output of the vector pattern unit.

## ◆ GetRunningStatus()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetRunningStatus | ( |  | self | ) |

Gets the running status of vector pattern system.

## ◆ GetStart()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetStart | ( |  | self | ) |

Gets the index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)

## ◆ GetStart2()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetStart2 | ( |  | self | ) |

Gets the index of first desired point in Vector Pattern Memory (start of second part of transition triggered by falling edge of external signal)

## ◆ GetTriggerDivider()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetTriggerDivider | ( |  | self | ) |

Gets the divider value for external trigger signal (downsampling) 1 = no division; 2 = divide by 2 ...

## ◆ GetTriggerOffset()

optoKummenberg.registers.InputStage.VectorPatternUnit.GetTriggerOffset | ( |  | self | ) |

Gets the offset of external trigger signal for synchronisation adjustment Offset can be in range 0 - (divider - 1)

## ◆ GetUnit()

UnitType optoKummenberg.registers.InputStage.VectorPatternUnit.GetUnit | ( |  | self | ) |

Gets the unit type of the values set to the vector pattern system.

## ◆ help()

optoKummenberg.registers.InputStage.VectorPatternUnit.help | ( |  | ) |
| static

## ◆ Run()

optoKummenberg.registers.InputStage.VectorPatternUnit.Run | ( |  | self | ) |

Starts vector pattern system.

## ◆ SetCycles()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetCycles | ( |  | self,
|  |  | value )

Sets the number of cycles to be generated.

Run flag is turned off after completion. Negative value corresponds to infinite looping

## ◆ SetEnd()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetEnd | ( |  | self,
|  |  | value )

Sets the Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)

## ◆ SetEnd2()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetEnd2 | ( |  | self,
|  |  | value )

Sets the index after last desired point in Vector Pattern Memory (end of second part of transition triggered by falling edge of external signal)

## ◆ SetExternalTrigger()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetExternalTrigger | ( |  | self,
|  |  | value )

Sets external trigger mode.

Vector Pattern Unit can be synchronised with external signal (0=disabled, 1=rising/falling edge, 2=rising edge trigger)

## ◆ SetExtTriggerGPIO()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetExtTriggerGPIO | ( |  | self,
|  |  | value )

Turns GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin.

0 = off, 1 = on

## ◆ SetFreqSampleSpeed()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetFreqSampleSpeed | ( |  | self,
|  |  | value )

Sets the sample rate at which the Vector Pattern unit samples the vector in the Vector Pattern Memory.

## ◆ SetStart()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetStart | ( |  | self,
|  |  | value )

Sets the index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)

## ◆ SetStart2()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetStart2 | ( |  | self,
|  |  | value )

Sets the index of first desired point in Vector Pattern Memory (start of second part of transition triggered by falling edge of external signal)

## ◆ SetTriggerDivider()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetTriggerDivider | ( |  | self,
|  |  | value )

Sets the divider for external trigger signal (downsampling) 1 = no division; 2 = divide by 2 ...

## ◆ SetTriggerOffset()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetTriggerOffset | ( |  | self,
|  |  | value )

Sets the offset of external trigger signal for synchronisation adjustment Offset can be in range 0 - (divider - 1) => important to set divider value first.

## ◆ SetUnit()

optoKummenberg.registers.InputStage.VectorPatternUnit.SetUnit | ( |  | self,
|  | UnitType or int | value )

Sets the unit type of the values set to the vector pattern system.

## ◆ Stop()

optoKummenberg.registers.InputStage.VectorPatternUnit.Stop | ( |  | self | ) |

Stops vector pattern system.

## Member Data Documentation

## ◆ _channel

optoKummenberg.registers.InputStage.VectorPatternUnit._channel
| protected

## ◆ cycles

optoKummenberg.registers.InputStage.VectorPatternUnit.cycles

## ◆ end

optoKummenberg.registers.InputStage.VectorPatternUnit.end

## ◆ end2

optoKummenberg.registers.InputStage.VectorPatternUnit.end2

## ◆ ext_trigger_gpio

optoKummenberg.registers.InputStage.VectorPatternUnit.ext_trigger_gpio

## ◆ external_trigger

optoKummenberg.registers.InputStage.VectorPatternUnit.external_trigger

## ◆ frequency_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.frequency_speed

## ◆ index

optoKummenberg.registers.InputStage.VectorPatternUnit.index

## ◆ max_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.max_speed

## ◆ min_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.min_speed

## ◆ name

optoKummenberg.registers.InputStage.VectorPatternUnit.name

## ◆ output

optoKummenberg.registers.InputStage.VectorPatternUnit.output

## ◆ run

optoKummenberg.registers.InputStage.VectorPatternUnit.run

## ◆ start

optoKummenberg.registers.InputStage.VectorPatternUnit.start

## ◆ start2

optoKummenberg.registers.InputStage.VectorPatternUnit.start2

## ◆ sys_id

optoKummenberg.registers.InputStage.VectorPatternUnit.sys_id

## ◆ trigger_divider

optoKummenberg.registers.InputStage.VectorPatternUnit.trigger_divider

## ◆ trigger_offset

optoKummenberg.registers.InputStage.VectorPatternUnit.trigger_offset

## ◆ unit

optoKummenberg.registers.InputStage.VectorPatternUnit.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py